GetCRL (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmc

## Class GetCRL

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.GetCRL

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class GetCRL
      extends ASN1Object

       id-cmc-getCRL OBJECT IDENTIFIER ::= {id-cmc 16}

       GetCRL ::= SEQUENCE {
          issuerName    Name,
          cRLName       GeneralName OPTIONAL,
          time          GeneralizedTime OPTIONAL,
          reasons       ReasonFlags OPTIONAL }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetCRL(X500Name issuerName, GeneralName cRLName, ASN1GeneralizedTime time, ReasonFlags reasons)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeneralName` | `getcRLName()`
    `static GetCRL` | `getInstance(java.lang.Object o)`
    `X500Name` | `getIssuerName()`
    `ReasonFlags` | `getReasons()`
    `ASN1GeneralizedTime` | `getTime()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetCRL

          public GetCRL(X500Name issuerName,
                        GeneralName cRLName,
                        ASN1GeneralizedTime time,
                        ReasonFlags reasons)

  - ### Method Detail

    - #### getInstance

          public static GetCRL getInstance(java.lang.Object o)

    - #### getIssuerName

          public X500Name getIssuerName()

    - #### getcRLName

          public GeneralName getcRLName()

    - #### getTime

          public ASN1GeneralizedTime getTime()

    - #### getReasons

          public ReasonFlags getReasons()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.